
QGIS Application - Bug report #18649

Crash on startup on Debian Stretch

2018-04-06 12:12 PM - Jérôme L

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.1(master) Regression?: No

Operating System: Linux Debian Stretch Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 26537

Description

I tried to install QGis for the first time. I have no previous experience with it and no previous installation.

I chose 3.0.1 and followed the instructions in https://www.qgis.org/en/site/forusers/alldownloads.html#debian-ubuntu.

I tried with both latest package in https://qgis.org/debian and nightly version.

In both case, I get the splash screen, and then the crash.

Attaching terminal output (/usr/bin/qgis.bin &> qgis.log) for both cases. The logs differ. Looks like nightly goes further.

I'm working in a Debian Stretch virtual machine.

History

#1 - 2018-04-13 10:47 PM - Jérôme L

I just tried on another machine. It is a Debian Stretch as well, although this one is not a virtual machine.

I installed the latest release (commit:a86bec2) and it starts without issue.

I don't know how to investigate the bug on the VM.

#2 - 2018-04-16 09:46 AM - Jérôme L

- File qgis-3.0.1+git20180414+784d8dc+14stretch.log added

Attaching a log of an attempt with latest nightly (nothing new, just the addresses and times change but I realized the version number in the file I had

attached is incomplete).

Versions of packages qgis depends on:

ii  libc6                       2.24-11+deb9u3

ii  libexpat1                   2.2.0-2+deb9u1

ii  libgcc1                     1:6.3.0-18+deb9u1

ii  libgdal20 [gdal-abi-2-1-2]  2.1.2+dfsg-5

ii  libgeos-c1v5                3.5.1-3

ii  libgsl2                     2.3+dfsg-1

ii  libpq5                      9.6.7-0+deb9u1
ii  libproj12                   4.9.3-1

ii  libqca-qt5-2                2.1.1-4+b2

ii  libqgis-analysis3.0.1       1:3.0.1+git20180414+784d8dc+14stretch

ii  libqgis-app3.0.1            1:3.0.1+git20180414+784d8dc+14stretch

ii  libqgis-core3.0.1           1:3.0.1+git20180414+784d8dc+14stretch

ii  libqgis-gui3.0.1            1:3.0.1+git20180414+784d8dc+14stretch

ii  libqgis-native3.0.1         1:3.0.1+git20180414+784d8dc+14stretch

ii  libqt5concurrent5           5.7.1+dfsg-3+b1

ii  libqt5core5a                5.7.1+dfsg-3+b1

ii  libqt5gui5                  5.7.1+dfsg-3+b1

ii  libqt5keychain1             0.7.0-3

ii  libqt5network5              5.7.1+dfsg-3+b1

ii  libqt5positioning5          5.7.1-1

ii  libqt5printsupport5         5.7.1+dfsg-3+b1

ii  libqt5scintilla2-12v5       2.9.3+dfsg-4

ii  libqt5sql5                  5.7.1+dfsg-3+b1

ii  libqt5svg5                  5.7.1~20161021-2+b2

ii  libqt5webkit5               5.7.1+dfsg-1

ii  libqt5widgets5              5.7.1+dfsg-3+b1

ii  libqt5xml5                  5.7.1+dfsg-3+b1

ii  libqwt-qt5-6                6.1.2-6

ii  libspatialindex4v5          1.8.5-4

ii  libspatialite7              4.3.0a-5+b1

ii  libsqlite3-0                3.16.2-5+deb9u1

ii  libstdc++6                  6.3.0-18+deb9u1

ii  libzip4                     1.1.2-1.1+b1

ii  python-qgis                 1:3.0.1+git20180414+784d8dc+14stretch

ii  qgis-common                 1:3.0.1+git20180414+784d8dc+14stretch

ii  qgis-providers              1:3.0.1+git20180414+784d8dc+14stretch

Anything I can do to investigate this?

Thanks.

#3 - 2018-05-18 10:53 AM - Jérôme L

- File qgis-3.0.2+git20180516+44cc7d2+14stretch.log added

Same error on 3.0.2.

Attaching a log.

Anything useful I could try?

Thanks.

#4 - 2018-05-28 10:48 AM - Jérôme L

- File qgis-3.0.3+git20180526+8a899c8+14stretch.log added
New backtrace with 3.0.3.

Any clue how to debug this? Anything more I should provide?

#5 - 2018-05-28 12:37 PM - Jérôme L

- Status changed from Open to Closed

The problem was due to another version of PyQt5 being installed locally.

I realized today by accident that `from PyQt5 import QtCore` would segfault.

I purged my local pip3 installations of pyqt5 and sip to only keep the one installed by the package manager and QGis starts as expected.

I'm not sure exactly what was wrong, but I don't think it is QGis's responsability.

Sorry about the noise. Hopefully, this bugreport will help someone with a similar issue (hint: try to import QtCore in a Python interpreter).

#6 - 2018-05-28 01:23 PM - Nyall Dawson

- Resolution set to invalid

Files

qgis.log 7.56 KB 2018-04-06 Jérôme L

qgis-3.0.1-git201.log 53.8 KB 2018-04-06 Jérôme L

qgis-3.0.1+git20180414+784d8dc+14stretch.log 53.8 KB 2018-04-16 Jérôme L

qgis-3.0.2+git20180516+44cc7d2+14stretch.log 54.7 KB 2018-05-18 Jérôme L

qgis-3.0.3+git20180526+8a899c8+14stretch.log 53.8 KB 2018-05-28 Jérôme L
